._heading, h1, h2, h3, h4, h5, h6, .head-h1 div, .head-h2 div, .head-h3 div, .head-h1 span, .head-h2 span, .head-h3 span,
.head-h1, .head-h2, .head-h3,.wd-entities-title,
body,.menu-open-label,
.head-span,.title,.title span,label,.price_label,
._heading, .btn, .button, .menu, blockquote, legend, fieldset, table, button, input, select
, textarea, nav,label,span.jet-headline__label, span.jet-headline__part,span.elementor-icon-list-text,
.elementor-post-navigation__link span, span.timeline-label, time, span.head_tab, span.ha-tab__title-text, ul.menu_setting li span,
.text, .error, .success, .tab-post li, .ha-advanced-heading-wrap span, span.elementor-post-date, .breadcrumb-label, li,
ul li span, .elementor-text-editor.elementor-clearfix, .td-paragraph-padding-0, span.elementor-button-text, a,span.custom-select-trigger,
.elementor-image-box-title, .elementor-widget-container, .content-pagination span.text-number_page, .content-pagination a.last-number_page, .wd-tabs .tabs-name>span,
p, strong , .elementor-nav-menu a, span.jet-custom-item-label, .jet-menu-name span.jet-menu-label
a,figcaption,.custom-options span, span.woocommerce-Price-amount.amount, span.woocommerce-Price-amount.amount, .wd-post-desc{
    font-family: 'noto-sans-thai', sans-serif !important;
}

#wpadminbar .ab-icon {
    font: normal 20px/1 dashicons !important;
}
#wpadminbar * {
  font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Oxygen-Sans,Ubuntu,Cantarell,"Helvetica Neue",sans-serif !important;
}
  ::selection {
    background: #7E684F;
    color: #fff;
  }
  ::-moz-selection {
    background: #7E684F;
    color: #fff;
  }
  h1, h2, h3, h4, h5, h6{
    margin: 0;
  }
  button{
      cursor: pointer;
  }
  p {
    margin: 0;
    transition: all ease-in-out 250ms !important;
    -webkit-transition: all ease-in-out 250ms !important;
    -o-transition: all ease-in-out 250ms !important;
    -moz-transition: all ease-in-out 250ms !important;
    text-decoration: unset;
    /*line-height: 1.6em;*/
  }
  .single-post .entry-content p{
    margin: 0;
  }
  button, input, textarea, span.jet-menu-label, input[type="submit"], i{
     transition: all ease-in-out 250ms !important;
     -webkit-transition: all ease-in-out 250ms !important;
     -o-transition: all ease-in-out 250ms !important;
     -moz-transition: all ease-in-out 250ms !important;
     text-decoration: unset;
  }
  a{
    color: #000;
    font-weight: 500;
    /* text-decoration: underline;
    text-decoration-color: #f1c40f; */
  }
  a:hover{
    color: #f1c40f;
    /* text-decoration: underline;
    text-decoration-color: #f1c40f; */
  }
  body {
    margin: 0;
  }
body.admin-bar .site-header {
    top: 0;
}
  @keyframes slidein {
    from {
      right: 0;
      transform: translateX(600px);
    }
    to {
      transform: translateX(0);
    }
  }
  @keyframes slideup {
    from {
      right: 0;
      transform: translateY(-600px);
    }
    to {
      transform: translateY(0);
    }
  }
  @keyframes slideout {
    from {
      transform: translateX(0);
    }
    to {
      right: 0;
      transform: translateX(600px);
    }
  }
  .ig-form .ff-t-container.ff-column-container.ff_columns_total_2 {
    gap: 0;
  }
  .wrapp-category .more-products {
    display: none;
}

.wd-nav-main>li>a, .wd-nav-secondary>li>a {
  font-weight: 500!important;
}
.wd-nav-mob-tab>li>a{
  font-weight: 600!important;
}
.mobile-tab-title span.nav-link-text{
  font-size: 16px;
}
/* .whb-header-bottom .wd-header-cats .wd-dropdown.wd-dropdown-cats {
    visibility: visible !important;
    opacity: 1 !important;
    transform: none !important;
    pointer-events: visible !important;
    pointer-events: unset !important;
} 
.whb-header.whb-sticked.whb-scroll-down .wd-header-cats{
display: none;
} */

.whb-header-bottom .wd-header-cats .wd-nav-vertical {
  max-height: 502px;
      overflow-x: auto;
    position: static!important;
    --nav-drop-sp: none!important;
}
.whb-header-bottom .wd-header-cats .wd-nav-vertical > li{
  position: static!important;
}
.whb-header-bottom .wd-header-cats .wd-nav-vertical > li > .wd-dropdown{
  /* width: 100vh; */
  width: 350px;
  height: 449.5px;
  left: calc(100% - 8px);
  top: 0;
}

.wd-header-cats .menu-opener .menu-open-label,
.wd-nav-mobile > li > ul li > a,
.wd-nav-vertical>li>a,
.whb-header-bottom .wd-sub-menu li > a{
  font-size: 16px!important;
color:#000;
font-weight:500!important;
}

.wd-header-cats .menu-opener .menu-open-label{
  color: #FFF;
}
.wd-nav-mobile > li > ul li > a{
  font-size: 16px;
}
.whb-header-bottom .wd-sub-menu li > a:hover{
color:#459647;
}
.wd-gallery-item.wd-col {
  position: relative;
  overflow: hidden;
  padding-bottom: calc(1*100%);
  width: 100%;
  display: block;
}
.wd-gallery-item.wd-col a img {
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  object-fit: cover;
  min-height: 100%;
  margin: 0 auto;
  transition: all ease-in-out 600ms;
  transform-style: preserve-3d;
  object-position: center;
}
.wd-grid-g {
  gap: 20px;
}
.accordion-x details:nth-child(odd) summary.e-n-accordion-item-title {
  background: #f1f1f1 !important;
}
.box-tab-h .tabs-name.title {
  padding-bottom: 34px;
  border-bottom: 1px solid #D3D3D3;
}
.box-tab-h .tabs-name.title span {
  font-size: 31px;
  font-weight: 600 !important;
  line-height: 1em !important;
}
 .box-tab-h ul.wd-nav.wd-nav-tabs {
     gap: 15px;
}
 .box-tab-h ul.wd-nav.wd-nav-tabs li:before {
     content: '';
     height: 8px;
     width: 8px;
     display: block;
     background: #106745;
     border-radius: 50px;
}
 .box-tab-h ul.wd-nav.wd-nav-tabs li {
     display: flex;
     align-items: center;
     gap: 7px;
}
.box-tab-h ul.wd-nav.wd-nav-tabs li:before {
  height: 6px;
  width: 6px;
}
.elementor-widget-n-accordion .e-n-accordion-item[open] {
  border: solid 1px #eee;
  /* box-shadow: 0 0 8px #00000047; */
  border-radius: 8px;
}
.elementor-widget-n-accordion .e-n-accordion-item {
  margin-bottom: 10px !important;
}
.elementor-widget-n-accordion .e-n-accordion-item {
  border-radius: 8px !important;
}
.elementor-widget-n-accordion .e-n-accordion-item .elementor-element {
  border-bottom-right-radius: 8px;
  border-bottom-left-radius: 8px;
}
.accordion-x details summary.e-n-accordion-item-title {
  padding: 23px 60px;
}
.accordion-x .wd-negative-gap.elementor-element {
  padding: 20px 60px;
}
.wd-tabs.tabs-design-aside {
  gap: 50px !important;
}
.x-box .elementor-image-box-wrapper {
  flex-direction: column !important;
}
.x-box .elementor-image-box-wrapper img {
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  object-fit: cover;
  min-height: 100%;
  margin: 0 auto;
  transition: all ease-in-out 600ms;
  transform-style: preserve-3d;
  object-position: center;
}
.x-box figure.elementor-image-box-img {
  padding-bottom: calc(0.65* 100%);
  position: relative;
  overflow: hidden;
}
/*ipad (tablet)*/
@media (max-width: 1024px) {
  .x-box .elementor-image-box-wrapper {
    flex-direction: row !important;
  }
  .x-box figure.elementor-image-box-img {
    padding-bottom: calc(0.35* 100%);
  }

}
/*iphone5 (small smartphone)*/
@media (max-width: 767px) {
  .ig-form .ff-t-container.ff-column-container.ff_columns_total_2 {
    display: flex;
    width: 100% !important;
  }
  .x-box figure.elementor-image-box-img {
    padding-bottom: calc(0.55* 100%);
  }
}